Categories:
  - Money
License: GPL-3.0-only
AuthorName: Michael Totschnig
AuthorEmail: michael@totschnig.org
AuthorWebSite: https://michael.totschnig.org/
WebSite: http://www.myexpenses.mobi
SourceCode: https://github.com/mtotschnig/MyExpenses
IssueTracker: https://github.com/mtotschnig/MyExpenses/issues
Translation: https://hosted.weblate.org/engage/my-expenses/
Changelog: http://www.myexpenses.mobi/#versionlist
Donate: https://www.myexpenses.mobi/en/#participate
FlattrID: '1028216'
Bitcoin: 15WECHs6zGQyyiRYoLmVzWYfoKVDoipmSp

AutoName: MyExpenses

RepoType: git
Repo: https://github.com/mtotschnig/MyExpenses.git

Builds:
  - versionName: 1.5.1
    versionCode: 33
    commit: db50b87307
    prebuild: rm -rf tests

  - versionName: 1.6.0
    versionCode: 34
    commit: 5fa677d646
    prebuild: rm -rf tests

  - versionName: 1.6.5
    versionCode: 35
    commit: e3d51bb02f
    prebuild: rm -rf tests

  - versionName: 1.6.6
    versionCode: 36
    commit: f937fd21cc
    prebuild: rm -rf tests

  - versionName: 1.6.8
    versionCode: 38
    commit: r38
    prebuild: rm -rf tests

  - versionName: 1.7.1
    versionCode: 40
    commit: r40
    extlibs:
      - android/android-support-v4.jar
    prebuild: rm -rf tests

  - versionName: 1.7.3.1
    versionCode: 43
    commit: r43
    extlibs:
      - android/android-support-v4.jar
    prebuild: rm -rf tests

  - versionName: 1.7.4.3
    versionCode: 55
    commit: r55
    extlibs:
      - android/android-support-v4.jar
    prebuild: rm -rf tests

  - versionName: 1.8.5
    versionCode: 63
    commit: r63
    srclibs:
      - ActionBarSherlock@4.3.1
    extlibs:
      - android/android-support-v4r11.jar
    prebuild:
      - rm -rf tests
      - sed -i 's@\(.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - mv libs/android-support-v4r11.jar $$ActionBarSherlock$$/libs/android-support-v4.jar

  - versionName: 1.9.6.2
    versionCode: 81
    disable: Build fails
    commit: r81
    srclibs:
      - ActionBarSherlock@4.3.1
      - StickyListHeaders-tots@270b239cb1c2
    extlibs:
      - android/android-support-v4r11.jar
    prebuild:
      - rm -rf tests
      - sed -i 's@\(.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - sed -i 's@\(.2=\).*@\1$$StickyListHeaders-tots$$@' project.properties
      - mv libs/android-support-v4r11.jar $$ActionBarSherlock$$/libs/android-support-v4.jar

  - versionName: 1.9.7.1
    versionCode: 85
    commit: r85
    srclibs:
      - ActionBarSherlock@4.3.1
      - StickyListHeaders-tots@270b239cb1c2
    extlibs:
      - android/android-support-v4r11.jar
    prebuild:
      - rm -rf tests
      - sed -i 's@\(.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - sed -i 's@\(.2=\).*@\1$$StickyListHeaders-tots$$@' project.properties
      - mv libs/android-support-v4r11.jar $$ActionBarSherlock$$/libs/android-support-v4.jar

  - versionName: 1.9.7.3
    versionCode: 87
    commit: r87
    srclibs:
      - ActionBarSherlock@4.3.1
      - StickyListHeaders-tots@270b239cb1c2
    extlibs:
      - android/android-support-v4r11.jar
    prebuild:
      - rm -rf tests
      - sed -i 's@\(.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - sed -i 's@\(.2=\).*@\1$$StickyListHeaders-tots$$@' project.properties
      - mv libs/android-support-v4r11.jar $$ActionBarSherlock$$/libs/android-support-v4.jar

  - versionName: 1.10.0
    versionCode: 93
    commit: r93
    srclibs:
      - ActionBarSherlock@4.4.0
      - StickyListHeaders-tots@270b239cb1c2
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - rm -rf tests
      - mv libs/android-support-v4.jar $$ActionBarSherlock$$/libs/android-support-v4.jar

  - versionName: 1.10.1
    versionCode: 95
    commit: r95
    srclibs:
      - ActionBarSherlock@4.4.0
      - StickyListHeaders-tots@270b239cb1c2
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - rm -rf tests
      - mv libs/android-support-v4.jar $$ActionBarSherlock$$/libs/android-support-v4.jar

  - versionName: 1.10.1.2
    versionCode: 97
    commit: r97
    srclibs:
      - ActionBarSherlock@4.4.0
      - StickyListHeaders-tots@270b239cb1c2
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - rm -rf tests
      - mv libs/android-support-v4.jar $$ActionBarSherlock$$/libs/android-support-v4.jar

  - versionName: 1.10.3
    versionCode: 102
    commit: r102
    srclibs:
      - ActionBarSherlock@4.4.0
      - StickyListHeaders@2.1.3
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - rm -rf tests
      - mv libs/android-support-v4.jar $$ActionBarSherlock$$/libs/android-support-v4.jar

  - versionName: 1.10.4
    versionCode: 104
    commit: r104
    srclibs:
      - ActionBarSherlock@4.4.0
      - StickyListHeaders@2.1.3
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - rm -rf tests
      - mv libs/android-support-v4.jar $$ActionBarSherlock$$/libs/android-support-v4.jar

  - versionName: 1.10.5
    versionCode: 108
    commit: r108
    srclibs:
      - ActionBarSherlock@4.4.0
      - StickyListHeaders@2.1.4
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - rm -rf tests
      - mv libs/android-support-v4.jar $$ActionBarSherlock$$/libs/android-support-v4.jar

  - versionName: 1.11.0
    versionCode: 110
    commit: r110
    srclibs:
      - ActionBarSherlock@4.4.0
      - StickyListHeaders@2.1.4
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - rm -rf tests
      - mv libs/android-support-v4.jar $$ActionBarSherlock$$/libs/android-support-v4.jar

  - versionName: 1.11.0.3
    versionCode: 113
    commit: r113
    srclibs:
      - ActionBarSherlock@4.4.0
      - StickyListHeaders@2.1.4
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - rm -rf tests
      - mv libs/android-support-v4.jar $$ActionBarSherlock$$/libs/android-support-v4.jar

  - versionName: 1.11.5
    versionCode: 116
    commit: r116
    srclibs:
      - ActionBarSherlock@4.4.0
      - StickyListHeaders@2.1.4
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - rm -rf tests
      - mv libs/android-support-v4.jar $$ActionBarSherlock$$/libs/android-support-v4.jar

  - versionName: 2.0.0.4
    versionCode: 122
    commit: r122
    srclibs:
      - StickyListHeaders@2.1.4
      - appcompat@android-4.4_r1.1
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - echo '-dontobfuscate' > proguard-project.txt
      - rm -rf tests
      - mv libs/android-support-v4.jar $$Support$$/libs/

  - versionName: 2.0.1.4
    versionCode: 129
    commit: r129
    gradle:
      - yes

  - versionName: 2.0.2
    versionCode: 130
    commit: r130
    gradle:
      - yes

  - versionName: 2.0.2.1
    versionCode: 131
    commit: r131
    gradle:
      - yes

  - versionName: 2.1.0.2
    versionCode: 135
    commit: r135
    gradle:
      - yes

  - versionName: 2.1.1
    versionCode: 136
    commit: r136
    gradle:
      - yes

  - versionName: 2.1.1.1
    versionCode: 137
    commit: r137
    gradle:
      - yes

  - versionName: 2.1.2
    versionCode: 138
    commit: r138
    gradle:
      - yes

  - versionName: 2.1.3
    versionCode: 142
    commit: r142
    gradle:
      - yes

  - versionName: 2.1.4
    versionCode: 143
    commit: r143
    gradle:
      - yes

  - versionName: 2.1.5
    versionCode: 145
    commit: r145
    gradle:
      - yes

  - versionName: 2.1.6
    versionCode: 149
    commit: r149
    gradle:
      - yes

  - versionName: 2.1.6.1
    versionCode: 151
    commit: r151
    gradle:
      - yes

  - versionName: 2.1.6.2
    versionCode: 152
    commit: r152
    gradle:
      - yes

  - versionName: 2.1.6.3
    versionCode: 153
    commit: r153
    gradle:
      - yes

  - versionName: 2.2.0
    versionCode: 155
    disable: malformed xml file build/res/all/release/values-pt/values.xml
    commit: r155
    gradle:
      - yes

  - versionName: 2.2.0.1
    versionCode: 156
    disable: malformed xml file build/res/all/release/values-pt/values.xml
    commit: r156
    gradle:
      - yes

  - versionName: 2.2.0.2
    versionCode: 157
    disable: malformed xml file build/res/all/release/values-pt/values.xml
    commit: r157
    gradle:
      - yes

  - versionName: 2.3.0.1
    versionCode: 160
    commit: r160
    gradle:
      - yes

  - versionName: 2.3.1
    versionCode: 164
    disable: malformed xml file build/res/all/release/values-pt/values.xml
    commit: r164
    gradle:
      - yes

  - versionName: 2.3.1.1
    versionCode: 165
    commit: r165
    gradle:
      - yes

  - versionName: 2.3.2
    versionCode: 168
    commit: r168
    gradle:
      - yes

  - versionName: 2.3.3.1
    versionCode: 171
    commit: r171
    gradle:
      - yes

  - versionName: 2.3.4
    versionCode: 173
    commit: r173
    gradle:
      - yes

  - versionName: 2.3.4.1
    versionCode: 174
    commit: r174
    gradle:
      - yes

  - versionName: 2.3.4.2
    versionCode: 175
    commit: r175
    gradle:
      - yes

  - versionName: 2.3.5
    versionCode: 177
    commit: r177
    gradle:
      - yes

  - versionName: 2.3.6
    versionCode: 179
    commit: r179
    gradle:
      - yes

  - versionName: 2.3.7
    versionCode: 180
    commit: r180
    gradle:
      - yes

  - versionName: 2.3.8
    versionCode: 182
    commit: r182
    submodules: true
    gradle:
      - yes

  - versionName: 2.3.9.4
    versionCode: 189
    disable: build fails
    commit: r189
    submodules: true
    gradle:
      - yes

  - versionName: 2.3.9.5
    versionCode: 190
    commit: r190
    submodules: true
    gradle:
      - yes

  - versionName: 2.4.0
    versionCode: 191
    commit: r191
    submodules: true
    gradle:
      - yes

  - versionName: 2.4.1
    versionCode: 193
    commit: r193
    submodules: true
    gradle:
      - yes

  - versionName: 2.4.3.2
    versionCode: 198
    commit: r198
    subdir: myExpenses
    submodules: true
    gradle:
      - yes

  - versionName: 2.4.4
    versionCode: 201
    commit: r201
    subdir: myExpenses
    submodules: true
    gradle:
      - yes

  - versionName: 2.4.5
    versionCode: 204
    commit: r204
    subdir: myExpenses
    submodules: true
    gradle:
      - yes

  - versionName: 2.4.5.1
    versionCode: 205
    commit: r205
    subdir: myExpenses
    submodules: true
    gradle:
      - yes

  - versionName: 2.4.6
    versionCode: 208
    commit: r208
    subdir: myExpenses
    submodules: true
    gradle:
      - yes

  - versionName: 2.4.7
    versionCode: 210
    commit: r210
    subdir: myExpenses
    submodules: true
    gradle:
      - yes

  - versionName: 2.4.8
    versionCode: 211
    commit: r211
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/dependencies/acompile "ch.acra:acra:4.6.2"\n' build.gradle

  - versionName: 2.4.9
    versionCode: 214
    commit: r214
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/dependencies/acompile "ch.acra:acra:4.6.2"\n' build.gradle

  - versionName: 2.4.9.1
    versionCode: 215
    commit: r215
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/dependencies/acompile "ch.acra:acra:4.6.2"\n' build.gradle

  - versionName: 2.5.0
    versionCode: 217
    commit: r217
    subdir: myExpenses
    submodules: true
    gradle:
      - yes

  - versionName: 2.5.1
    versionCode: 218
    commit: r218
    subdir: myExpenses
    submodules: true
    gradle:
      - yes

  - versionName: 2.5.2
    versionCode: 220
    commit: r220
    subdir: myExpenses
    submodules: true
    gradle:
      - yes

  - versionName: 2.6.0.2
    versionCode: 226
    commit: r226
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACWakeful@v1.0.5
    prebuild:
      - sed -i -e '/maven {/,+2d' ../build.gradle
      - sed -i -e '/cwac/d' build.gradle
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/

  - versionName: 2.6.1.1
    versionCode: 228
    commit: r228
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACWakeful@v1.0.5
    prebuild:
      - sed -i -e '/maven {/,+2d' ../build.gradle
      - sed -i -e '/cwac/d' build.gradle
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/
    scandelete:
      - tests/script/monkey_funcs*

  - versionName: 2.6.2
    versionCode: 231
    commit: r231
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACWakeful@v1.0.5
    prebuild:
      - sed -i -e '/maven {/,+2d' ../build.gradle
      - sed -i -e '/cwac/d' build.gradle
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/

  - versionName: 2.6.3
    versionCode: 234
    commit: r234
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACWakeful@v1.0.5
    prebuild:
      - sed -i -e '/maven {/,+2d' ../build.gradle
      - sed -i -e '/cwac/d' build.gradle
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/

  - versionName: 2.6.4
    versionCode: 237
    commit: r237
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACWakeful@v1.0.5
    prebuild:
      - sed -i -e '/maven {/,+2d' ../build.gradle
      - sed -i -e '/cwac/d' build.gradle
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/

  - versionName: 2.6.5.1
    versionCode: 240
    commit: r240
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACWakeful@v1.0.5
    prebuild:
      - sed -i -e '/maven {/,+2d' ../build.gradle
      - sed -i -e '/cwac/d' build.gradle
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/

  - versionName: 2.6.6
    versionCode: 242
    disable: 'java.lang.IllegalStateException: buildToolsVersion is not specified'
    commit: r242
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACWakeful@v1.0.5
    prebuild:
      - sed -i -e '/maven {/,+2d' ../build.gradle
      - sed -i -e '/cwac/d' build.gradle
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/

  - versionName: 2.6.6.1
    versionCode: 243
    disable: 'java.lang.IllegalStateException: buildToolsVersion is not specified'
    commit: r243
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    srclibs:
      - CWACWakeful@v1.0.5
    prebuild:
      - sed -i -e '/maven {/,+2d' ../build.gradle
      - sed -i -e '/cwac/d' build.gradle
      - cp -fR $$CWACWakeful$$/wakeful/src/com src/main/java/

  - versionName: 2.6.6.1
    versionCode: 244
    commit: r244
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle

  - versionName: 2.6.7.1
    versionCode: 247
    commit: r247
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle

  - versionName: 2.6.8
    versionCode: 251
    commit: r251
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle

  - versionName: 2.6.9
    versionCode: 253
    commit: r253
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle

  - versionName: 2.7.0
    versionCode: 255
    commit: r255
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle

  - versionName: 2.7.0
    versionCode: 256
    commit: r256
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle

  - versionName: 2.7.1
    versionCode: 257
    commit: r257
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle

  - versionName: 2.7.1.1
    versionCode: 258
    commit: r258
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle

  - versionName: 2.7.5.1
    versionCode: 262
    commit: r262
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle

  - versionName: 2.7.5.3
    versionCode: 265
    commit: r265
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle

  - versionName: 2.7.6
    versionCode: 268
    commit: r268
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle

  - versionName: 2.7.7
    versionCode: 275
    disable: outdated buildtools
    commit: r275
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle

  - versionName: 2.7.7.1
    versionCode: 276
    commit: r276
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle

  - versionName: 2.7.8.1
    versionCode: 281
    commit: r281
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle

  - versionName: 2.7.8.3
    versionCode: 283
    commit: r283
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle

  - versionName: 2.7.9
    versionCode: 285
    commit: r285
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle

  - versionName: 2.8.0
    versionCode: 291
    commit: r291
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle
    antifeatures:
      - Ads

  - versionName: 2.8.0.1
    versionCode: 292
    commit: r292
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle
    antifeatures:
      - Ads

  - versionName: 2.8.1
    versionCode: 294
    commit: r294
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle
    antifeatures:
      - Ads

  - versionName: 2.8.2
    versionCode: 296
    commit: r296
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle
    antifeatures:
      - Ads

  - versionName: 2.8.2.1
    versionCode: 297
    commit: r297
    subdir: myExpenses
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's@repo.commonsware.com.s3.amazonaws.com@s3.amazonaws.com/repo.commonsware.com@g'
      ../build.gradle
    antifeatures:
      - Ads

  - versionName: 2.8.3
    versionCode: 300
    commit: r300
    subdir: myExpenses
    gradle:
      - yes
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.8.3
    versionCode: 301
    commit: r301
    subdir: myExpenses
    gradle:
      - yes
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.8.3.1
    versionCode: 302
    commit: r302
    subdir: myExpenses
    gradle:
      - yes
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.8.4
    versionCode: 304
    commit: r304
    subdir: myExpenses
    gradle:
      - yes
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.8.5
    versionCode: 308
    commit: r308
    subdir: myExpenses
    gradle:
      - yes
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.8.6
    versionCode: 310
    commit: r310
    subdir: myExpenses
    gradle:
      - yes
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.8.7
    versionCode: 312
    commit: r312
    subdir: myExpenses
    gradle:
      - yes
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.8.8
    versionCode: 314
    commit: r314
    subdir: myExpenses
    gradle:
      - yes
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.8.8.1
    versionCode: 315
    commit: r315
    subdir: myExpenses
    gradle:
      - yes
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.8.9.1
    versionCode: 319
    commit: r319
    subdir: myExpenses
    gradle:
      - acra
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.8.9.1
    versionCode: 320
    commit: r320
    subdir: myExpenses
    gradle:
      - acra
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.9.0
    versionCode: 323
    commit: r323
    subdir: myExpenses
    gradle:
      - acra
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.9.0.1
    versionCode: 324
    commit: r324
    subdir: myExpenses
    gradle:
      - acra
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.9.1
    versionCode: 328
    commit: r328
    subdir: myExpenses
    gradle:
      - acra
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.9.1.1
    versionCode: 329
    commit: r329
    subdir: myExpenses
    gradle:
      - acra
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.9.1.2
    versionCode: 330
    commit: r330
    subdir: myExpenses
    gradle:
      - acra
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.9.1.3
    versionCode: 331
    commit: r331
    subdir: myExpenses
    gradle:
      - acra
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.9.1.4
    versionCode: 332
    commit: r332
    subdir: myExpenses
    gradle:
      - acra
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.9.2
    versionCode: 336
    commit: r336
    subdir: myExpenses
    gradle:
      - acra
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.9.4
    versionCode: 341
    commit: r341
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.9.5
    versionCode: 343
    commit: r343
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests
    antifeatures:
      - Ads

  - versionName: 2.9.5.1
    versionCode: 344
    commit: r344
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests

  - versionName: 2.9.6
    versionCode: 346
    commit: r346
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests

  - versionName: 2.9.6.1
    versionCode: 347
    commit: r347
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests

  - versionName: 2.9.6.2
    versionCode: 348
    commit: r348
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests

  - versionName: 2.9.7
    versionCode: 351
    commit: r351
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests

  - versionName: 2.9.7.1
    versionCode: 353
    commit: r353
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests

  - versionName: 2.9.8
    versionCode: 357
    commit: r357
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests

  - versionName: 2.9.8.1
    versionCode: 358
    commit: r358
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests

  - versionName: 2.9.9
    versionCode: 360
    commit: r360
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests

  - versionName: 3.0.0
    versionCode: 362
    commit: r362
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests

  - versionName: 3.0.0.1
    versionCode: 363
    commit: r363
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests

  - versionName: 3.0.1
    versionCode: 365
    commit: r365
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests

  - versionName: 3.0.1.1
    versionCode: 366
    commit: r366
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests

  - versionName: 3.0.1.2
    versionCode: 368
    commit: r368
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests

  - versionName: 3.0.1.3
    versionCode: 369
    commit: r369
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests

  - versionName: 3.0.2
    versionCode: 372
    commit: r372
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 3.0.2.1
    versionCode: 373
    commit: r373
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 3.0.3
    versionCode: 375
    commit: r375
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 3.0.3.1
    versionCode: 377
    commit: r377
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 3.0.4
    versionCode: 382
    commit: r382
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 3.0.5.1
    versionCode: 384
    commit: r384
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 3.0.6
    versionCode: 386
    commit: r386
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 3.0.6.1
    versionCode: 388
    commit: r388
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 3.0.6.2
    versionCode: 390
    commit: r390
    subdir: myExpenses
    gradle:
      - acra
      - conscript
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 3.0.7.1
    versionCode: 393
    commit: r393
    subdir: myExpenses
    gradle:
      - conscript
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 3.0.8.1
    versionCode: 396
    commit: r396
    subdir: myExpenses
    gradle:
      - conscript
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 3.0.9.1
    versionCode: 398
    commit: r398
    subdir: myExpenses
    gradle:
      - conscript
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 3.1.0.1
    versionCode: 404
    commit: r404
    subdir: myExpenses
    gradle:
      - conscript
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 3.1.0.2
    versionCode: 406
    commit: r406
    subdir: myExpenses
    gradle:
      - conscript
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 3.1.1.1
    versionCode: 410
    commit: r410
    subdir: myExpenses
    gradle:
      - conscript
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 3.1.2.2
    versionCode: 416
    disable: unknown maven for mokito
    commit: r416
    subdir: myExpenses
    gradle:
      - conscript
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 3.1.3.1
    versionCode: 422
    commit: r422
    subdir: myExpenses
    gradle:
      - conscript
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 3.1.4
    versionCode: 428
    commit: e1478253a2570a0e6d7e16d4ef0a6888e44315ac
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.1.5
    versionCode: 432
    commit: r432
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.1.6.2
    versionCode: 437
    commit: r437
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.1.7
    versionCode: 439
    commit: r439
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.1.8
    versionCode: 441
    commit: r441
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.1.8.1
    versionCode: 442
    commit: r442
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.1.9
    versionCode: 443
    commit: r443
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.2.0
    versionCode: 444
    commit: r444
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.2.1
    versionCode: 448
    commit: r448
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - mlkit
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.2.1.1
    versionCode: 452
    commit: r450
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - mlkit
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.2.3.1
    versionCode: 458
    commit: r458
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - mlkit
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.2.4.1
    versionCode: 465
    commit: ecae2092dd36994fcacbbbbfcaf597d92214169b
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - mlkit
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.2.4.2
    versionCode: 466
    commit: r466
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - mlkit
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.2.5
    versionCode: 473
    commit: f0fe85200ea216f6bdfec7c730f0960ee490a8ad
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - mlkit
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.2.7
    versionCode: 476
    commit: r476
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - mlkit
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.2.8
    versionCode: 479
    commit: r479
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - mlkit
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.2.9
    versionCode: 481
    commit: r481
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - mlkit
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.3.0.1
    versionCode: 485
    commit: r485
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - mlkit
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.3.1.1
    versionCode: 489
    commit: r489
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - mlkit
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.3.2
    versionCode: 491
    commit: cbb367914aa3f4f810303a1715b190f10be15b28
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - mlkit
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.3.3
    versionCode: 494
    commit: be0ccac38a757d7aead8fe89a6df6a1c4b73bed3
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - mlkit
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.3.3.1
    versionCode: 495
    commit: a352542e17aebb8f08a8805fcfcada283369f8c8
    subdir: myExpenses
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - mlkit
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.3.4.1
    versionCode: 499
    commit: 29129e3cc04b11339b8a76f992a19ac15a67667f
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - mlkit
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.3.4.2
    versionCode: 500
    commit: cd60f87416448c6301173dff90ad83badfa9cfab
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/conscriptExternRelease/myExpenses-conscript-extern-release-universal-unsigned.apk
    rm:
      - mlkit
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageConscriptExternReleaseUniversalApk

  - versionName: 3.3.5
    versionCode: 504
    commit: e9e30615ca0e7e6f4b103540f37efb5c343d76bd
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/externRelease/myExpenses-extern-release-universal-unsigned.apk
    rm:
      - mlkit
      - mlkit_deva
      - mlkit_han
      - mlkit_jpan
      - mlkit_kore
      - mlkit_latn
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.3.5.1
    versionCode: 505
    commit: d63ae683e91c0309fef1997a0dcf62db3bbf3039
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/externRelease/myExpenses-extern-release-universal-unsigned.apk
    rm:
      - mlkit
      - mlkit_deva
      - mlkit_han
      - mlkit_jpan
      - mlkit_kore
      - mlkit_latn
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.3.5.2
    versionCode: 508
    commit: 5b09142cb060024f88ffb5708042efd8c74a3df8
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/externRelease/myExpenses-extern-release-universal-unsigned.apk
    rm:
      - drive
      - mlkit
      - mlkit_deva
      - mlkit_han
      - mlkit_jpan
      - mlkit_kore
      - mlkit_latn
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.3.6
    versionCode: 511
    commit: 6998e9680b0429421a86028c447e0856ca94fbfd
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/externRelease/myExpenses-extern-release-universal-unsigned.apk
    rm:
      - drive
      - mlkit
      - mlkit_deva
      - mlkit_han
      - mlkit_jpan
      - mlkit_kore
      - mlkit_latn
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.3.7
    versionCode: 515
    commit: 078bb0ab03e4a25bef9b7f0d575c91119668d5dc
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/externRelease/myExpenses-extern-release-universal-unsigned.apk
    rm:
      - drive
      - mlkit
      - mlkit_deva
      - mlkit_han
      - mlkit_jpan
      - mlkit_kore
      - mlkit_latn
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx4096m' >> ../gradle.properties
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.3.7.1
    versionCode: 516
    commit: dbc6eb77970ff2eabeb1e9f64215aea176e23c62
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/externRelease/myExpenses-extern-release-universal-unsigned.apk
    rm:
      - drive
      - mlkit
      - mlkit_deva
      - mlkit_han
      - mlkit_jpan
      - mlkit_kore
      - mlkit_latn
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx4096m' >> ../gradle.properties
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.3.7.2
    versionCode: 517
    commit: 95818b821c858e5e20ce78ac334efcfaf944db03
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/externRelease/myExpenses-extern-release-universal-unsigned.apk
    rm:
      - drive
      - mlkit
      - mlkit_deva
      - mlkit_han
      - mlkit_jpan
      - mlkit_kore
      - mlkit_latn
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx4096m' >> ../gradle.properties
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.3.8
    versionCode: 521
    commit: 34f4a45b9270ba09f37b9e7fb0410cb0a9d94cf1
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/externRelease/myExpenses-extern-release-universal-unsigned.apk
    rm:
      - drive
      - mlkit
      - mlkit_deva
      - mlkit_han
      - mlkit_jpan
      - mlkit_kore
      - mlkit_latn
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx4096m' >> ../gradle.properties
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.3.8.1
    versionCode: 523
    commit: 1cac18259c89bddf3fdd26d453b6ddca3b35d0c1
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/externRelease/myExpenses-extern-release-universal-unsigned.apk
    rm:
      - drive
      - mlkit
      - mlkit_deva
      - mlkit_han
      - mlkit_jpan
      - mlkit_kore
      - mlkit_latn
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx4096m' >> ../gradle.properties
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.3.9
    versionCode: 528
    commit: 378428e44b3cc97237c112fb999d26ba7b1a4bf5
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/externRelease/myExpenses-extern-release-universal-unsigned.apk
    rm:
      - drive
      - mlkit
      - mlkit_deva
      - mlkit_han
      - mlkit_jpan
      - mlkit_kore
      - mlkit_latn
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx4096m' >> ../gradle.properties
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.4.0
    versionCode: 529
    commit: 67065ecb3da5aaa40c5c4b16d18072fe23dc26cf
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/externRelease/myExpenses-extern-release-universal-unsigned.apk
    rm:
      - drive
      - mlkit
      - mlkit_deva
      - mlkit_han
      - mlkit_jpan
      - mlkit_kore
      - mlkit_latn
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx4096m' >> ../gradle.properties
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.4.1
    versionCode: 532
    commit: 48245fccdb3e2dc479758322bed202cd05ee16dd
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/externRelease/myExpenses-extern-release-universal-unsigned.apk
    rm:
      - drive
      - mlkit
      - mlkit_deva
      - mlkit_han
      - mlkit_jpan
      - mlkit_kore
      - mlkit_latn
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx4096m' >> ../gradle.properties
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.4.2
    versionCode: 534
    commit: 2cae4c550876376080ae87c074c3d04b4dcf1243
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/externRelease/myExpenses-extern-release-universal-unsigned.apk
    rm:
      - drive
      - mlkit
      - mlkit_deva
      - mlkit_han
      - mlkit_jpan
      - mlkit_kore
      - mlkit_latn
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx4096m' >> ../gradle.properties
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.4.2.1
    versionCode: 535
    commit: 92bdfef338b2071a8e23288d9fb01106a3d84e35
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/externRelease/myExpenses-extern-release-universal-unsigned.apk
    rm:
      - drive
      - mlkit
      - mlkit_deva
      - mlkit_han
      - mlkit_jpan
      - mlkit_kore
      - mlkit_latn
      - tests
    prebuild: echo 'org.gradle.jvmargs=-Xmx4096m' >> ../gradle.properties
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.4.3
    versionCode: 538
    commit: 5612dd6df633225d3cd589aa6fc489004090231b
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/externRelease/myExpenses-extern-release-universal-unsigned.apk
    rm:
      - drive
      - mlkit
      - mlkit_deva
      - mlkit_han
      - mlkit_jpan
      - mlkit_kore
      - mlkit_latn
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.4.4.1
    versionCode: 544
    commit: 83558c35bc84ee26f5ef734989232124fde1e986
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/externRelease/myExpenses-extern-release-universal-unsigned.apk
    rm:
      - drive
      - mlkit
      - mlkit_deva
      - mlkit_han
      - mlkit_jpan
      - mlkit_kore
      - mlkit_latn
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.4.4.2
    versionCode: 546
    commit: 9406c606301c0ae3144204b30ed144e39be84b32
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/externRelease/myExpenses-extern-release-universal-unsigned.apk
    rm:
      - drive
      - mlkit
      - mlkit_deva
      - mlkit_han
      - mlkit_jpan
      - mlkit_kore
      - mlkit_latn
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.4.5
    versionCode: 554
    commit: 46bb91644195385922a1ed0868c15ecc83a15daf
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/externRelease/myExpenses-extern-release-universal-unsigned.apk
    rm:
      - drive
      - mlkit
      - mlkit_deva
      - mlkit_han
      - mlkit_jpan
      - mlkit_kore
      - mlkit_latn
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.4.5.1
    versionCode: 555
    commit: 534067d4e1e827f5c3c22a8751e4206c039a4bb5
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/externRelease/myExpenses-extern-release-universal-unsigned.apk
    rm:
      - drive
      - mlkit
      - mlkit_deva
      - mlkit_han
      - mlkit_jpan
      - mlkit_kore
      - mlkit_latn
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.4.5.2
    versionCode: 556
    commit: c06f4f6703b180100f1b28969dd0e8f39c9f756d
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/outputs/universal_apk/externRelease/myExpenses-extern-release-universal-unsigned.apk
    rm:
      - drive
      - mlkit
      - mlkit_deva
      - mlkit_han
      - mlkit_jpan
      - mlkit_kore
      - mlkit_latn
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.4.6
    versionCode: 566
    commit: dff34bdd17aeec4a0ee0f66465d80544459b9500
    subdir: myExpenses
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.4.6.2
    versionCode: 568
    commit: e71d8316166d6acc9679a9e66c1a4ba1d5e49881
    subdir: myExpenses
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.4.6.3
    versionCode: 569
    commit: 0e4c460da203256079603cc08e0baf80bc837b8c
    subdir: myExpenses
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.4.7
    versionCode: 571
    commit: b270aeba79c8d9605038a1215fce4feff800b1a3
    subdir: myExpenses
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.4.8
    versionCode: 573
    commit: 3fa38a93630aacba9e7815d5ac7165e718195ce4
    subdir: myExpenses
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.4.9
    versionCode: 575
    commit: 34bbdf72de3ca1b38b3b1642762ff273676c76a0
    subdir: myExpenses
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.5.0.1
    versionCode: 583
    commit: 7fbfc822e1ffd9d1d52a6c3720d1cabbc39147e8
    subdir: myExpenses
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.5.1.2
    versionCode: 592
    commit: 33a29c3f80533022964b7f6bd5504542c3f07247
    subdir: myExpenses
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.5.2
    versionCode: 597
    commit: 330e783f6032f70f5173df4b2c4d9ffad2abc15c
    subdir: myExpenses
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    prebuild: sed -i -e 's/MM,dd,HH,mm/M,d,H,m/' build.gradle
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.5.2.1
    versionCode: 599
    commit: 4993394bfc2933826580969ca6add3748783d557
    subdir: myExpenses
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.5.3
    versionCode: 603
    commit: d6e94dda5607740cd9b7c397adbcdde7ab984d55
    subdir: myExpenses
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.5.3.1
    versionCode: 609
    commit: 022995359d0ed57a37240f3acd2f1982de971f2c
    subdir: myExpenses
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.5.3.2
    versionCode: 611
    commit: adc3f91137e5af7e4f02e001cf3419ce6da9b949
    subdir: myExpenses
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.5.4
    versionCode: 614
    commit: 6f6e9167b151ad52983a7cc02bc3edbbcf8c8bac
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.5.5
    versionCode: 615
    commit: 988627c456d6562c166f0d753d3be301177603c4
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.5.5.1
    versionCode: 616
    commit: 1b7a23d42db784527ba109acddd8862f2d17897f
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.5.6
    versionCode: 618
    commit: 289c09fcc89dfd37a0956a506bb9eb157e12e11a
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.5.8
    versionCode: 624
    commit: e8116bbf81ea003be71932ed01df5a717cc14bb4
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.6.0
    versionCode: 632
    commit: 58d051ba69801f26a6bdb1ab832019f9e428151b
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.6.0.1
    versionCode: 633
    commit: 76bd634892d899f0149e75b72b4c0433aa319898
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.6.1
    versionCode: 635
    commit: c90d7d3bfead996d72c7fa504dcbe73c88195ded
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.6.1.1
    versionCode: 636
    commit: 76f487102fa1265eec5a10f5f07a76ee1a021f3f
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.6.2
    versionCode: 639
    commit: 477fa99d31484bb0af227187c1dcfe030c0b185e
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.6.3
    versionCode: 645
    commit: dbcd6afa96092447e76d28d17a0d964c8f7dd029
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.6.4
    versionCode: 648
    commit: 9df484e97d52be6def8a4858c7283a84a34981ed
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.6.5
    versionCode: 653
    commit: 3ad80902b0e6486d7cc5894b98d59a7d64f1447b
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.6.5.2
    versionCode: 655
    commit: f822677bfd2516dee2afa32609e97e4e92c1a5fc
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

  - versionName: 3.6.6
    versionCode: 657
    commit: e8c3b7081cffcce7d9a0fb78b84334a46cde43f2
    subdir: myExpenses
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: build/outputs/apk_from_bundle/externRelease/*.apk
    rm:
      - drive
      - mlkit
      - mlkit_*
      - tests
    build: gradle :myExpenses:packageExternReleaseUniversalApk

MaintainerNotes: '* Ads: https://github.com/mtotschnig/MyExpenses/blob/b4237aabf8924614251d14fb18ce274ec0f934f7/myExpenses/src/main/java/org/totschnig/myexpenses/di/UiModule.java#L26-L33'

AutoUpdateMode: Version
UpdateCheckMode: Tags ^r.*$
UpdateCheckData: build.gradle|versionCode = (\d+)|.|versionName = '(.*)'
CurrentVersion: 3.6.6
CurrentVersionCode: 657
